PHP QrCode Liblary 2.0

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Groups Pages
Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
QRinput Class Reference
Standard API Core

## Public Member Functions
| __construct ($version=0, $level=QR_ECLEVEL_L)
| getVersion ()
| setVersion ($version)
| getErrorCorrectionLevel ()
| setErrorCorrectionLevel ($level)
| appendEntry (QRinputItem $entry)
| append ($mode, $size, $data)
| insertStructuredAppendHeader ($size, $index, $parity)
| calcParity ()
| estimateBitsModeKanji ($size)
| estimateBitStreamSize ($version)
| estimateVersion ()
| createBitStream ()
| convertData ()
| appendPaddingBit (&$bstream)
| mergeBitStream ()
| getBitStream ()
| getByteStream ()

## Static Public Member Functions
static | checkModeNum ($size, $data)
static | estimateBitsModeNum ($size)
static | lookAnTable ($c)
static | checkModeAn ($size, $data)
static | estimateBitsModeAn ($size)
static | estimateBitsMode8 ($size)
static | checkModeKanji ($size, $data)
static | check ($mode, $size, $data)
static | lengthOfCode ($mode, $version, $bits)

## Public Attributes
| $items

## Static Public Attributes
static | $anTable

## Member Data Documentation

QRinput::$anTable
| static

Initial value:
= array(
-1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
-1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
36, -1, -1, -1, 37, 38, -1, -1, -1, -1, 39, 40, -1, 41, 42, 43,
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 44, -1, -1, -1, -1, -1,
-1, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24,
25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, -1, -1, -1, -1, -1,
-1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,
-1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1
)

The documentation for this class was generated from the following file:

- lib/full/qrinput.php